// Definitions for Credit Account Inquire/Change/Add Commarea object
//

/////////////////////////////////////////////////////////////////////////////
// Definitions for Standard header and BMS map areas used in COMMAREAs
#include "stdhead.h"
#include "dfhcga.h"
#include "dfhcgb.h"
#include "dfhcgc.h"
/////////////////////////////////////////////////////////////////////////////

/////////////////////////////////////////////////////////////////////////////
// Structure definition file for the CICS Inquire/Update/Add COMMAREA
#include "credcomm.h"
/////////////////////////////////////////////////////////////////////////////

// define a specific user commarea for our application,
//  subclassing the CclBuf class provided by the CICS clients
//class inqyComm : public CclBuf
class inqyComm : public CObject
{
public:
	inqyComm(); // standard constructor

	void Dump(CDumpContext& dc) const;

	// Instance variables to pass data in and out 
	// Account number, used on all types of calls
	CString co_acctno;
	// Detail variables, used for output on inquiries, and input
	//  for adds and updates
	CString co_name;
	CString co_addr;
	CString co_phone;
	CString co_date;
	CString co_amount;
	CString co_comment;
	// Application error messages - returned by all types of calls
	CString co_errormsg;

	// Method calls
	int inqyComm::executeInquiry();
	int inqyComm::executeChange();
	int inqyComm::executeAdd();

private:
	// Additional variables internal to the commarea
	CString old_account;

	// CICS COMMAREA 
	INQYCOMM inqy;		// Inquire, update and add

   // Internal subroutines
	int setMenuMapData();
	int setDetailMapData();
	void getDataFromComm(int RC);
};